<?xml version="1.0"?>
<doc>
<assembly>
<name>
AppTest
</name>
</assembly>
<members>
<member name="M:AppTest.MdlCommonNH.IIF``1(System.Boolean,``0,``0)">
	<summary>
 Retourne une des 2 expressionss
 </summary>
	<typeparam name="T">Type à utiliser</typeparam>
	<param name="pCondition">Condition</param>
	<param name="pTrue">Valeur retournée si <c>pCondition</c> est <c>True</c></param>
	<param name="pFalse">Valeur retournée si <c>pCondition</c> est <c>False</c></param>
	<returns></returns>
	<remarks>Permet d'éviter l'utilisation de <c>CType</c> avec <c>IIF</c> par défaut</remarks>
</member><member name="M:AppTest.MdlCommonNH.Array2String(System.Byte[])">
	<summary>
 Transfert d'un tableau d'octet vers une string
 </summary>
	<param name="ptArray">Tableau à transferrer</param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:AppTest.MdlCommonNH.Rand(System.Int32,System.Int32)">
	<summary>
 Retourne un nombre entier
 </summary>
	<param name="pMin">Valeur minimale désirée</param>
	<param name="pMax">Valeur maximale désirée</param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:AppTest.MdlCommonNH.SecToHMS(System.Int32)">
	<summary>
 Retourne la durée en secondes au format D HH:MM:SS
 </summary>
	<param name="pSec">Durée en secondes</param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:AppTest.MdlCommonNH.CalcCRC16(System.Byte[],System.Boolean)">
	<summary>
 Calcule le CRC16 d'un tableau d'octet
 </summary>
	<param name="ptByte">Tableau à calculer</param>
	<param name="pExistCRC">Signal si les 2 derniers octets  sont à ignorer (contenant déjà un CRC)</param>
</member><member name="M:AppTest.MdlCommonNH.ByteArrayToUShortCRC(System.Byte[])">
	<summary>
 Convertit le tableau de 2 octets en UShort
 </summary>
	<param name="ptByte">Tableau de 2 octet</param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:AppTest.MdlCommonNH.UShortToByteArrayCRC(System.UInt16)">
	<summary>
 Convertit  un UShort en tableau de 2 octets
 </summary>
	<param name="pCRC">UShort à convertir</param>
	<returns></returns>
	<remarks></remarks>
</member><member name="M:AppTest.MdlCommonNH.GetArrayRange(System.Byte[],System.Int32,System.Int32)">
	<summary>
 Retourne une partie d'un tableau
 </summary>
	<param name="ptByte">Tableau à traiter</param>
	<param name="pOffset">Offset de départ</param>
	<param name="pLength">Longueur</param>
	<returns></returns>
	<remarks></remarks>
</member><member name="T:AppTest.MdlCommonNH">
	<summary>
 Module contenant quelques fonction utiles
 </summary>
	<remarks></remarks>
</member><member name="P:AppTest.My.Resources.Resources.ResourceManager">
	<summary>
  Retourne l'instance ResourceManager mise en cache utilisée par cette classe.
</summary>
</member><member name="P:AppTest.My.Resources.Resources.Culture">
	<summary>
  Remplace la propriété CurrentUICulture du thread actuel pour toutes
  les recherches de ressources à l'aide de cette classe de ressource fortement typée.
</summary>
</member><member name="T:AppTest.My.Resources.Resources">
	<summary>
  Une classe de ressource fortement typée destinée, entre autres, à la consultation des chaînes localisées.
</summary>
</member>
</members>
</doc>